#
# 1 - PCA, Three Populations
#
# Load external utility functions and configurations
source("utilities.R")

# Load the distance matrix
load("distances_1st_part.RData")

# Calculate the PCA
pca<-princomp(distances)

# PCA plot, PC1 vs PC2
plot(pca$scores[,1],pca$scores[,2],col=pointsCol(pca),pch=19,
		 xlab="PC1",ylab="PC2")

# Add a legend to the plot with population names
legend("bottomright",legend=popNames[1:3],col=colSet[1:3],pch=19)

# Explore other PCs!
# Hint: pca$scores[,X] plot the X-th PC...

#
# *********************************************************
#
# 2 - NJ Tree, Three Populations
#
# Load the distance matrix
load("distances_1st_part.RData")

# Calculate NJT
tree<-nj(as.matrix(distances))

# Plot the unrooted NJT
plot(tree, type="unrooted", edge.color=edgeCol(tree), edge.width=2, show.tip.label=FALSE)

# Add a legend to the plot with population names
legend("bottomright",legend=popNames[1:3], col=colSet[1:3],pch=19)

#
# *********************************************************
#
# 3 - PCA, Four Populations
#
# Now load the file containing the fourth population and re-run the exercise.
# Hint: the file is named "distances_2nd_part.RData"...
#
# Load the distance matrix
load("distances_2nd_part.RData")

# Calculate the PCA
pca<-princomp(distances)

# PCA plot, PC1 vs PC2
plot(pca$scores[,1],pca$scores[,2],col=pointsCol(pca),pch=19,
		 xlab="PC1",ylab="PC2")

# Add a legend to the plot with population names
legend("bottomright",legend=popNames[1:4],col=colSet[1:4],pch=19)

#
# *********************************************************
#
# 4 - NJ Tree, Four Populations
#
# Load the distance matrix
load("distances_2nd_part.RData")

# Calculate NJT
tree<-nj(as.matrix(distances))

# Plot the unrooted NJT
plot(tree, type="unrooted", edge.color=edgeCol(tree), edge.width=2, show.tip.label=FALSE)

# Add a legend to the plot with population names
legend("topright",legend=popNames[1:4], col=colSet[1:4],pch=19)
