# Load library required for building the NJT
require(ape)


# Variables storing opulation colors and names
colSet<-c("#E41A1C","#4DAF4A","#377EB8","#984EA3","darkgray")
popNames<-c("Ghana","Thailand","NE Cambodia","W Cambodia")

#
# Get explained variance from PCA
#
getvar<-function(pca) {
	
	return(cumsum(pca$sdev^2/sum(pca$sdev^2)))	
	
}


#
# Edge colors for NJT
#
edgeCol<-function(tree) {
	
	nPop<-floor(length(tree$tip.label)/50)
	
	if(nPop==3) {
		breaks<-c(0,50,100,150,1000)
		cols<-c(1,2,3,5)
	} else {
		breaks<-c(0,50,100,150,200,1000)
		cols<-c(1,2,3,4,5)			
	}
	
	return(as.character(cut(tree$edge[,2],breaks,labels=colSet[cols])) )
	
}


#
# Points colors for PCA
#
pointsCol<-function(pca) {
	
	nPop<-floor(nrow(pca$scores)/50)
	
	if(nPop==3) {
		breaks<-c(0,50,100,150,1000)
		cols<-c(1,2,3,5)
	} else {
		breaks<-c(0,50,100,150,200,1000)
		cols<-c(1,2,3,4,5)			
	}
	
	return( as.character(cut(seq(1,nrow(pca$scores)),breaks,labels=colSet[cols])) )
	
}